summaryrefslogtreecommitdiffstats
path: root/src/script/check_commands.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xsrc/script/check_commands.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/src/script/check_commands.sh b/src/script/check_commands.sh
new file mode 100755
index 00000000..17a15b40
--- /dev/null
+++ b/src/script/check_commands.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+git grep COMMAND\( | grep -o "(\"[a-zA-z ]*\"" | grep -o "[a-zA-z ]*" > commands.txt
+missing_test=false
+good_tests=""
+bad_tests=""
+while read cmd; do
+ if git grep -q "$cmd" -- src/test qa/; then
+ good_tests="$good_tests '$cmd'"
+ else
+ echo "'$cmd' has no apparent tests"
+ missing_test=true
+ bad_tests="$bad_tests '$cmd'"
+ fi
+done < commands.txt
+
+if [ "$missing_test" == true ]; then
+ echo "Missing tests!" $bad_tests
+ exit 1;
+fi